# Beat Saber Playlist Scripts

Tools for managing Beat Saber playlists and custom maps across Windows and other systems.

## Map Installation

To copy a custom map to Beat Saber:
```powershell
Copy-Item -Path "map_folder" -Destination "C:\Program Files (x86)\Steam\steamapps\common\Beat Saber\Beat Saber_Data\CustomLevels\" -Recurse
```

## Playlist Sync Script
`sabersync.py` is a utility script that:
- Syncs `.bplist` files between systems
- Archives old/deleted playlists
- Optionally syncs Beat Saber video recordings

Usage:
```bash
./sabersync.py [--video] [--help]
```

Options:
- `--video`: Sync video recordings from the remote system
- `--help`: Show help message

The script expects:
- SSH access to a Windows machine with alias `winroar`
- Beat Saber installed at standard Steam paths
- Playlists in `BSManager/BSInstances/1.39.1/Playlists/`

When run with `--video`, it will:
1. Copy videos from the remote system
2. Wait for confirmation
3. Clean up remote video files after transfer